.faq {
    position: relative;
    padding-top: rem(62);
    padding-bottom: rem(55);

    &__header {
        z-index: 10;
        position: relative;
        margin-bottom: 0
    }

    &__content {
        z-index: 10;
        position: relative;
    }

    &__decor {
        left: 0;
        top: -20px;
        z-index: 1;
        width: 292px;
        position: absolute;
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(50);
        padding-bottom: rem(80);

        &__header {
            margin-bottom: rem(32);
        }

        &__decor {
            top: -60px;
            left: -15px;
            width: 498px;
        }
    }


    @include media-breakpoint-up(xl) {
        padding-top: rem(20);

        &__header {
            margin-bottom: rem(38);
        }

        &__decor {
            right: 0;
            left: auto;
            top: -130px;
            width: 746px;
        }

        &__content {
            margin: 0 auto;
            max-width: rem(1332);
        }
    }
}

.faq-item {

    &:not(:last-child) {
     //   margin-bottom: rem(22);
    }

    &__header {
        line-height: 135%;
        position: relative;
        padding: rem(20) rem(30) rem(20) 0;
        border-bottom: 1px solid $gray-200;
        display: flex;

        &:after {
            left: 0;
            bottom: -1px;
            z-index: 5;
            width: 20px;
            height: 2px;
            content: '';
            position: absolute;
            background: $purple;
        }

        &:before {
            right: 0;
            top: calc(50% - 3px);
            z-index: 5;
            width: 14px;
            height: 7px;
            content: '';
            display: block;
            position: absolute;
            background: url("../img/angle_down.svg") 50% 50% no-repeat;
            background-size: cover;
            transform: rotate(-90deg);
            transition: .25s;
        }
    }

    &__num {
        width: rem(36);
        flex-shrink: 0;
        color: $purple;
        font-weight: 700;
        line-height: 135%;
        font-size: rem(13);
        position: relative;
    }

    &__title {
        color: $black;
        font-weight: 600;
        font-size: rem(14);
        line-height: 135%;
    }

    &__content {
        color: $gray-500;
        font-weight: 500;
        line-height: 135%;
        font-size: rem(12);
    }

    &__wrap {
        padding: rem(14) 0 rem(14) rem(36);
    }

    &.open {

        .faq-item {

            &__header {

                &:before {
                    transform: rotate(0deg);
                    transition: .25s;
                }
            }
        }
    }

    @include media-breakpoint-up(md) {

        &:not(:last-child) {
            margin-bottom: rem(30);
        }

        &__header {
            padding-top: rem(16);
            padding-bottom: rem(16);

            &:before {
                width: rem(24);
            }
        }

        &__num {
            width: rem(48);
            font-size: rem(16);
        }

        &__title {
            font-size: rem(16);
        }

        &__content {
            font-size: rem(14);
        }

        &__wrap {
            padding-bottom: 0;
            padding-left: rem(48);
        }
    }

    @include media-breakpoint-up(xl) {

        &:not(:last-child) {
            margin-bottom: rem(35);
        }

        &__header {
            padding-top: rem(20);
            padding-bottom: rem(20);
        }

        &__num {
            font-size: rem(18);
        }

        &__title {
            font-size: rem(18);
        }

        &__content {
            font-size: rem(16);
        }

        &__wrap {
            max-width: rem(1240);
            padding-top: rem(26);
        }
    }
}


@include media-breakpoint-up(md) {}

@include media-breakpoint-up(lg) {}

@include media-breakpoint-up(xl) {}
